#!/bin/sh
config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

lmsdir=var/www/htdocs/lms
config etc/lms/lms.ini.new

if [ ! -d var/lib/mysql/lms/ ]; then
echo  "Choose password for LMS database"
read LMSPASS
echo "Importing Mysql Database"
sed -i "s,lmspass,$LMSPASS,g" etc/lms/lms.ini
echo "Enter Mysql's root password [if none Press ENTER]:"
read -s mysqlpass
if [ "$mysqlpass" != "" ]; then
mysql -uroot -p$mysqlpass -e "create database lms;"
mysql -uroot -p$mysqlpass -D lms < $lmsdir/doc/lms.mysql
mysql -uroot -p$mysqlpass -e "grant all on lms.* to lms@localhost identified by '$LMSPASS';"
else
mysql -uroot -e "create database lms;"
mysql -uroot -D lms < $lmsdir/doc/lms.mysql
mysql -uroot -e "grant all on lms.* to lms@localhost identified by '$LMSPASS';"
fi
fi

rm -f $0 
